Subject: Re: [xml2rfc] [Tools-discuss] prototype xml2rfc creation wizard tool

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 01 Apr 2011 16:22:50 +0200

On 2011-03-30 14:22 Tony Hansen said the following:
> On 3/30/2011 7:52 AM, Scott Brim wrote:
>> Cool!
>>
>> I tried it and ran the xml through xml.resource.org and got this.  I
>> don't recall filling in facsimile.  I might have.
>
> Ordering problem -- fixed. Reload to get the fix.
>
> One question: should the<facsimile/>  and similar fields be output even
> if they're not filled in?
>
> In other words, is it better to leave them in as an aid for people to
> fill in later when they're working on the XML, or is it better to just
> not list them?

The only thing I'd care about in this respect is that missing information
doesn't generate blank lines.  Multiple blank lines in the middle of an
author's address information will mess up the extraction of author info
from a draft ...

Best,

	Henrik